
Figure - Bug #116458
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【任务管理器】打开图库小窗，进行正常和mini模式的切换，页面有闪烁迹象
2023-02-22 17:02 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date: 2023-03-03

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 当小窗进行缩放动画时, 会触发GLRootView的onSurfaceChange,导致GLRootView不停的在重新layout,所以会闪烁

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开图库小窗

2、进行正常和mini模式的切换

【预期结果】

2、图库小窗正常进行切换、过程自然流畅

【实际结果】

2、进行正常和mini模式的切换，页面有闪烁迹象

【复现率】

3/3

History

#1 - 2023-02-28 10:16 - CD FW-鲁凯峰

- Due date set to 2023-03-03

#2 - 2023-02-28 14:38 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#3 - 2023-02-28 15:21 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

当小窗进行缩放动画时, 会触发GLRootView的onSurfaceChange,导致GLRootView不停的在重新layout,所以会闪烁

解决方法就是减少layout,只在label发生变化后,采取更新label

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/Gallery2/+/184824
http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/Gallery2/+/184824


#4 - 2023-02-28 19:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184824 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

FW:Gallery: don't layout when freeform window size changedTC-RID: 1201-0300701IssueID: TS-R-BUG-116458Change-Id:

Ib3cd318a5e819b0bc7f7476afe61c6e779a79c2a

#5 - 2023-02-28 19:59 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Verified Version set to 当小窗进行缩放动画时, 会触发GLRootView的onSurfaceChange,导致GLRootView不停的在重新layout,所以会闪烁

#6 - 2023-02-28 20:00 - CD FW-鲁凯峰

- Verified Version deleted (当小窗进行缩放动画时, 会触发GLRootView的onSurfaceChange,导致GLRootView不停的在重新layout,所以会闪烁)

- Root cause set to 当小窗进行缩放动画时, 会触发GLRootView的onSurfaceChange,导致GLRootView不停的在重新layout,所以会闪烁

#7 - 2023-03-02 19:46 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

3.2

验证通过

#8 - 2023-03-02 19:47 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

Files
